Windows build failure: mv: cannot stat `fake.lib' : No such file or directory"

RESOLVED FIXED in 1.3

Status

Chat Core
General
--
blocker
RESOLVED FIXED
4 years ago
4 years ago

People

(Reporter: clokep, Assigned: clokep)

Tracking

x86
Windows XP

Firefox Tracking Flags

(Not tracked)

Details

(URL)

Attachments

(1 attachment)

(Assignee)

Description

4 years ago
*** Original post on bio 1689 at 2012-09-05 15:26:00 UTC ***

11:14:37 AM - flo-retina: I suspect appending || true to http://lxr.instantbird.org/instantbird/source/purple/purplexpcom/src/Makefile.in#116 would fix the Windows onCommit builds
11:18:54 AM - flo: well, we just need to add a "-" at the beginning of the rule, gmake will then ignore the failure
11:18:57 AM - flo: is anybody going to file a bug? :)
11:19:23 AM * clokep_work won't be. ;)
(Assignee)

Updated

4 years ago
(Assignee)

Comment 1

4 years ago
*** Original post on bio 1689 at 2012-09-07 10:45:56 UTC ***

I ran into this, appending the || true fixes it though. :)

I don't know what the other option really means, but I'd appreciate if we ensure it works with pymake!
*** Original post on bio 1689 at 2012-09-07 12:36:35 UTC ***

The other option is cleaner, it's to replace "mv" by "-mv". Having "-" as a prefix to a command tells gmake to ignore failtures. pymake is supposed to be syntax-compatible with gmake so I believe it will work for pymake too :).
(Assignee)

Comment 3

4 years ago
Created attachment 8353662 [details] [diff] [review]
Patch

*** Original post on bio 1689 as attmnt 1904 at 2012-09-07 18:28:00 UTC ***

- seems to work with pymake too. :)
Attachment #8353662 - Flags: review?(florian)
(Assignee)

Updated

4 years ago
Assignee: florian → clokep
Comment on attachment 8353662 [details] [diff] [review]
Patch

*** Original change on bio 1689 attmnt 1904 at 2012-09-07 21:40:14 UTC ***

Thanks.
Attachment #8353662 - Flags: review?(florian) → review+
*** Original post on bio 1689 at 2012-09-13 12:15:19 UTC ***

http://hg.instantbird.org/instantbird/rev/f556afd49922
Severity: normal → blocker
Status: ASSIGNED → RESOLVED
Last Resolved: 4 years ago
Resolution: --- → FIXED
Target Milestone: --- → 1.3
You need to log in before you can comment on or make changes to this bug.